I get '"/usr/platform/SUNW,Ultra-1/lib/libc_psr.so.1": not in

executable format: format not recognized' from gdb on my Ultra.


gdb needs to be updated to understand the "V8+" executable format.


Either install gdb 4.16 or later, or update the gdb 4.15.1
distribution with the following patch to bfd/elf32-sparc.c and
include/elf/common.h:



*** gdb-4.15.1/bfd/elf32-sparc.c Fri Nov 3 12:30:15 1995
--- elf32-sparc.c Thu Nov 23 14:44:37 1995
***************
*** 1486,1491 ****
--- 1486,1492 ----
#define TARGET_BIG_NAME "elf32-sparc"
#define ELF_ARCH bfd_arch_sparc
#define ELF_MACHINE_CODE EM_SPARC
+ #define ELF_MACHINE_ALT1 EM_SPARC32PLUS
#define ELF_MAXPAGESIZE 0x10000
#define elf_backend_create_dynamic_sections \
_bfd_elf_create_dynamic_sections


*** gdb-4.15.1/include/elf/common.h Fri Nov 3 20:20:25 1995
--- common.h Thu Nov 23 14:20:07 1995
***************
*** 83,88 ****
--- 83,91 ----
#define EM_SPARC64 11 /* SPARC v9 (not official) 64-bit */

#define EM_PARISC 15 /* HPPA */
+
+ #define EM_SPARC32PLUS 18 /* Sun SPARC 32+ */
+
#define EM_PPC 20 /* PowerPC */

/* If it is necessary to assign new unofficial EM_* values, please pick large





UNIXguide.net
English to Visayan Cebuano Dictionary
Suggest a Site
Visayan Cebuano to English Dictionary